<template>
    <div class="cont">
      <el-card class="u-comment-card">
        <h5 class="c-title">我的评论</h5>
        <div class="card-cont" v-for="(comm,index) in commsList.arr" :key="index">
                <el-row class="post-time">
                 <el-icon><AlarmClock /></el-icon>
                 {{comm.create_time}} 
                </el-row>
                <el-row class="p-title" @click="toPostDatail(comm.uers_id)">
                    {{comm.conment}}
                </el-row>
                <el-row class="p-post">
                     <div style="line-height: 40px;">回复帖子:{{ comm.title }}</div> 
                </el-row>
        </div>
        <!--  -->
      </el-card>
    </div>
  </template>
  
  <script lang="ts" setup>
  import { onMounted, onUpdated, ref } from 'vue';
  import axios from 'axios';
  import qs from 'qs';
  import { reactive } from 'vue';
  import { useRoute, useRouter } from 'vue-router';
  const lunBoList = [
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
              'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
          ];
  onMounted(() => {
      geeAll();
          }
  )
  // onUpdated(() => {
  //     geeAll();
  // })
  const geeAll=()=>{
      axios.post('/api/schoolCloud/pages/myCenter/selMyComs.php',qs.stringify({uid:localStorage.getItem("Userid")}))
          .then(res => {
            console.log(res.data)  
            commsList.arr = res.data;     
              // 根据返回的响应数据进行相应的操作
              }).catch(err => {
              console.log(err)
              })
  }
  const commsList = reactive({
      arr:[
          {
            id:1,
            post_id:1,
            uers_id:1,
            conment:'',
            create_time:'',
            up:0,
            title:''
  
            },
  ],
  })
  const router = useRouter();
  const toPostDatail = (pid:number)=>{
      router.push({ path: `/postDeils/${pid}` });
  }
  </script>
  <style lang="less">
.cont{
    // padding: 10px;
    .u-comment-card{
        .c-title{
            font-size: 20px;
            // font-weight: 700;
            padding-bottom: 10px ;
            border-bottom: 1px rgb(215, 215, 215) solid;
        }
        .card-cont{
            padding: 10px;
            border-bottom: 1px rgb(215, 215, 215) solid;
            .post-time{
                color: #999;
                .el-icon{
                    margin-right: 10px;
                }
            }
            .el-row{
                padding-bottom: 10px;
            }
            .p-title{
                padding-top: 10px;
                font-size: 18px;
                font-weight: 700;
            }
            .p-title:hover{
                color: rgb(92, 190, 239);
            }
            .p-post{
                padding-left: 10px;
                height: 40px;
                color: #8b8b8b;
                background: #efefef;
            }
            
        }
    }
}
  </style>